View Issue Details

IDProjectCategoryView StatusLast Update
0001094Main CAcert Websitemy accountpublic2013-09-03 05:23
ReporterINOPIAE Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2013 Q2 
Target Version2013 Q2Fixed in Version2013 Q2 
Summary0001094: Wrong information shown when disputing a domain that is part of a organisation account.
DescriptionWhen trying to disput a domain that is part of an organisation account the following message is given to the user:
The domain '' doesn't exist in the system. Can't continue.

This message should be replaced by something like :
The domain is included in an organisation account. Please send a mail to support to dispute the domain.
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Relationships

related to 0001173 closedNEOatNHNG While email or domain dispute check if the request belongs to a locked account and stop the process 

Activities

INOPIAE

2013-05-01 10:36

updater   ~0003950

Pushed fix to https://github.com/INOPIAE/CAcert/commit/d58d6927c0aa3d92134c88a067b25ab99f39cb69

INOPIAE

2013-05-01 13:28

updater   ~0003962

When trying to dispute a domain which is listed in as domain in an organisation account e.g. sh24.de the message is
"The domain 'sh24.de' is included in an organisation account. Please send a mail to support@cacert.org to dispute this domain."
=>ok

Werner Dworak

2013-05-01 17:05

updater   ~0003968

I tried to dispute the domain domain.tld and got the message
"The domain 'domain.tld' is included in an organisation account. Please send a mail to support@cacert.org to dispute this domain."
=> ok

NEOatNHNG

2013-05-07 20:29

administrator   ~0003975

Second review OK. Please test.

MartinGummi

2013-05-07 21:26

updater   ~0003978

Last edited: 2013-05-07 22:19

View 5 revisions

see below


try with non exist domain:

The domain '' doesn't exist in the system. Can't continue. => Fail



try with a domain from a Org account:

The domain 'bug10utld.tld' is included in an organisation account. Please send a mail to support@cacert.org to dispute this domain.

=> OK

NEOatNHNG

2013-05-07 22:07

administrator   ~0003980

I have fixed the error discovered in 0001094:0003978. Please test and review.

MartinGummi

2013-05-07 22:17

updater   ~0003981

try with non exist domain:

The domain 'thetld.tld' doesn't exist in the system. Can't continue.

=> OK

INOPIAE

2013-05-07 22:27

updater   ~0003982

When trying to dispute a domain which is listed in as domain in an organisation account e.g. sh24.de the message is
"The domain 'sh24.de' is included in an organisation account. Please send a mail to support@cacert.org to dispute this domain."
=>ok
Tried to dispute a non-existing mail e.g.sh25.de the message is
"The domain 'sh25.de' doesn't exist in the system. Can't continue."
=>ok
total =>ok

BenBE

2013-05-13 19:24

updater   ~0003992

Transferred to critical.

wytze

2013-05-14 09:44

developer   ~0003999

The patch has been installed on the production server on May 14, 2013. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2013-05/msg00007.html

Issue History

Date Modified Username Field Change
2012-09-04 22:43 INOPIAE New Issue
2012-09-04 22:44 INOPIAE Description Updated View Revisions
2013-05-01 10:36 INOPIAE Note Added: 0003950
2013-05-01 10:36 INOPIAE Assigned To => BenBE
2013-05-01 10:36 INOPIAE Status new => fix available
2013-05-01 11:20 BenBE Source_changeset_attached => cacert-devel testserver-stable 1268591f
2013-05-01 11:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable d58d6927
2013-05-01 11:38 BenBE Reviewed by => BenBE
2013-05-01 11:38 BenBE Status fix available => needs review & testing
2013-05-01 11:39 BenBE Product Version => 2013 Q2
2013-05-01 12:25 BenBE Source_changeset_attached => cacert-devel testserver-stable 58ef0cc9
2013-05-01 12:25 INOPIAE Source_changeset_attached => cacert-devel testserver-stable e6168fd1
2013-05-01 13:28 INOPIAE Note Added: 0003962
2013-05-01 17:05 Werner Dworak Note Added: 0003968
2013-05-05 09:36 INOPIAE Relationship added related to 0001173
2013-05-07 20:29 NEOatNHNG Reviewed by BenBE => NEOatNHNG, BenBE
2013-05-07 20:29 NEOatNHNG Note Added: 0003975
2013-05-07 20:29 NEOatNHNG Status needs review & testing => needs testing
2013-05-07 21:26 MartinGummi Note Added: 0003978
2013-05-07 22:05 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable f39ece18
2013-05-07 22:05 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 872521d6
2013-05-07 22:07 NEOatNHNG Reviewed by NEOatNHNG, BenBE => NEOatNHNG
2013-05-07 22:07 NEOatNHNG Note Added: 0003980
2013-05-07 22:07 NEOatNHNG Status needs testing => needs review & testing
2013-05-07 22:17 MartinGummi Note Added: 0003981
2013-05-07 22:18 MartinGummi Note Edited: 0003978 View Revisions
2013-05-07 22:18 MartinGummi Note Edited: 0003978 View Revisions
2013-05-07 22:19 MartinGummi Note Edited: 0003978 View Revisions
2013-05-07 22:19 MartinGummi Note Edited: 0003978 View Revisions
2013-05-07 22:27 INOPIAE Note Added: 0003982
2013-05-07 22:57 BenBE Reviewed by NEOatNHNG => NEOatNHNG, BenBE
2013-05-07 22:57 BenBE Status needs review & testing => ready to deploy
2013-05-07 22:57 BenBE Fixed in Version => 2013 Q2
2013-05-13 19:24 BenBE Note Added: 0003992
2013-05-13 19:24 BenBE Target Version => 2013 Q2
2013-05-13 20:00 BenBE Source_changeset_attached => cacert-devel release 4527af1e
2013-05-14 09:44 wytze Note Added: 0003999
2013-05-14 09:44 wytze Status ready to deploy => solved?
2013-05-14 09:44 wytze Resolution open => fixed
2013-09-03 05:23 INOPIAE Status solved? => closed
2013-09-03 05:23 INOPIAE Assigned To BenBE =>